#
# spec file for package tetrinet-server
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tetrinet-server
BuildRequires:  libadns-devel
%define realname	tetrinetx
%define qirc_version	1.40c
Version:        1.13.16
Release:        344.3
URL:            http://tetrinetx.sourceforge.net/
Summary:        The GNU TetriNET server
License:        GPL-2.0-or-later
Group:          Amusements/Games/Logic
Source:         %{realname}-%{version}+qirc-%{qirc_version}.tar.bz2
Patch2:         %{realname}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tetrinetx-qirc1.40c with Async DNS support for high productivity
server.

%prep
%autosetup -p0 -n %{realname}-%{version}+qirc-%{qirc_version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
cd src
sed -e 's@\(^#define [[:alnum:]_]* *"\)\(game\.\)@\1%{_datadir}/%{realname}/\2@' \
config.h >config.h1
mv config.h1 config.h
sed -e 's@\(^pidfile=\)\(game\.pid$\)@\1%{_datadir}/%{realname}/\2@' \
../bin/game.conf >../bin/game.conf1
mv ../bin/game.conf1 ../bin/game.conf
INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir} \
LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
./c

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv bin/tetrix.linux $RPM_BUILD_ROOT%{_bindir}/%{realname}
ln -sf %{_bindir}/%{realname} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -r bin/* $RPM_BUILD_ROOT%{_datadir}/%{realname}/

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README README.qirc.spectators
%{_bindir}/*
%{_datadir}/%{realname}/

%changelog
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Fri Jul 26 2019 matthias.gerstner@suse.com
- removal of SuSEfirewall2 service, since SuSEfirewall2 has been replaced by
  firewalld, see [1].
  [1]: https://lists.opensuse.org/opensuse-factory/2019-01/msg00490.html
* Thu Dec 22 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Mon Aug  6 2007 lmichnovic@suse.cz
- installing SuSEfirewall2 sysconfig file named tetrinet-server
  [#247357]
* Sat Oct 28 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 27 2004 kukuk@suse.de
- Don't include own adns library, use the one from the system
* Thu Jul 31 2003 mjancar@suse.cz
- use %%run_ldconfig
* Sun Nov 17 2002 prehak@suse.cz
- fixed %%_libdir
* Thu Nov 14 2002 prehak@suse.cz
- initial version 1.13.16 of this package
